%define name	gpsutil
%define version	0.10
%define release  %mkrel 2

Name: 	 	%{name}
Summary: 	Transfers data to/from a Magellan or NMEA-compliant GPS
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.cs.uakron.edu/~hennings/gpsutil/
License:	GPL
Group:		Communications

%description
GPSUTIL is a program to communicate with a GPS unit. It supports several NMEA
(National Marine Electronics Association) v2.1 messages. GPSUTIL also supports
downloading, uploading, and deleting waypoints from a Magellan GPS.

Currently supported NMEA messages:
GLL - Current latitude and longitude
RMB - Information about current waypoint destination
RMC - Speed (in knots) and current heading

%prep
%setup -q -n %name
rm -f %name

%build
%make CC="gcc $RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme todo changelog example.wpts license.txt
%{_bindir}/%name



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.10-2mdv2008.1
+ Revision: 126249
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import gpsutil


* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.10-2mdk
- rebuild

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 0.10-1mdk
- initial package
